Skip to main content
POST
/
v1
/
transfers
Create transfer
curl --request POST \
  --url https://api.trydocent.com/v1/transfers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "1.25"
}
'
import requests

url = "https://api.trydocent.com/v1/transfers"

payload = { "amount": "1.25" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '1.25'})
};

fetch('https://api.trydocent.com/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "transferId": "<string>"
}
{
"error": "<string>",
"retryAfter": 123
}
Send amount as a USDC decimal string with up to 6 decimals, such as "1.25". Cross-chain or cross-bucket transfers must be at least $1.00. Internal Hyperliquid spot-to-perpetuals transfers are exempt. Poll GET /v1/transfers?transferId=... to track status.

Authorizations

Authorization
string
header
required

API key in the format dk_live_.... Pass as Authorization: Bearer dk_live_...

Body

application/json
source
enum<string>
required

Source venue ID

Available options:
evm,
polymarket_safe,
hypercore_spot,
hypercore_perps
destination
enum<string>
required

Destination venue ID

Available options:
evm,
polymarket_safe,
hypercore_spot,
hypercore_perps
amount
string
required

Amount in USDC as a decimal string with up to 6 decimals

Pattern: ^(?:\d+(?:\.\d{0,6})?|\.\d{1,6})$
Example:

"1.25"

Response

Transfer accepted for asynchronous execution

success
boolean
required
Example:

true

transferId
string
required

Transfer ID for polling via GET /v1/transfers